Skip to content
This repository

Don't load the backport for uri/common.rb when running 1.9.3-p125 and beyond #358

Merged
merged 1 commit into from over 2 years ago

2 participants

Stefano Cobianchi Aaron Patterson
Stefano Cobianchi

As explained in #357, the code in backports/uri/common_193 is now present in 1.9.3-p125, so it should be loaded only under 1.9.3-p0.

Aaron Patterson
Collaborator

I think this is good, but let me verify the patch that was backported to the 1.9.3 release branch before applying this.

Aaron Patterson tenderlove merged commit 8c8e535 into from
Aaron Patterson
Collaborator

Just so we've got a trail, I backported the URI fixes to the 1.9.3 stable branch here.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Showing 1 unique commit by 1 author.

Mar 05, 2012
Stefano Cobianchi Don't load the backport for uri/common.rb when running 1.9.3-p125 and…
… beyond
e77b063
This page is out of date. Refresh to see the latest.

Showing 1 changed file with 1 addition and 1 deletion. Show diff stats Hide diff stats

  1. +1 1  lib/rack/utils.rb
2  lib/rack/utils.rb
@@ -10,7 +10,7 @@
10 10 require 'rack/backports/uri/common_18'
11 11 elsif major == 1 && minor == 9 && patch < 3
12 12 require 'rack/backports/uri/common_192'
13   -elsif major == 1 && minor == 9 && patch == 3
  13 +elsif major == 1 && minor == 9 && patch == 3 && RUBY_PATCHLEVEL < 125
14 14 require 'rack/backports/uri/common_193'
15 15 else
16 16 require 'uri/common'

Tip: You can add notes to lines in a file. Hover to the left of a line to make a note

Something went wrong with that request. Please try again.